## qtkeychain 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(qtkeychain)

###

set(QTKEYCHAIN_VERSION 0.1.0)
set(QTKEYCHAIN_SOVERSION 0)

###

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${PROJECT_SOURCE_DIR}/cmake/Modules")
include(GNUInstallDirs)

# try Qt5 first, and prefer that if found
find_package(Qt5Core QUIET)
if (Qt5Core_FOUND)
  if(UNIX AND NOT APPLE)
    find_package(Qt5DBus REQUIRED)
    include_directories(${Qt5DBus_INCLUDE_DIRS})
    set(QTDBUS_LIBRARIES ${Qt5DBus_LIBRARIES})
    macro(qt_add_dbus_interface)
      qt5_add_dbus_interface(${ARGN})
    endmacro()
  endif()
  macro(qt_wrap_cpp)
    qt5_wrap_cpp(${ARGN})
  endmacro()

  set(QTCORE_LIBRARIES ${Qt5Core_LIBRARIES})
  include_directories(${Qt5Core_INCLUDE_DIRS})

  if (Qt5_POSITION_INDEPENDENT_CODE)
    if (CMAKE_VERSION VERSION_LESS 2.8.9) # TODO remove once we increase the cmake requirement
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
    else()
      set(CMAKE_POSITION_INDEPENDENT_CODE ON)
    endif()
  endif()
else()
  if(UNIX AND NOT APPLE)
    find_package(Qt4 COMPONENTS QtCore QtDBus REQUIRED)
    macro(qt_add_dbus_interface)
      qt4_add_dbus_interface(${ARGN})
    endmacro()
    macro(qt_wrap_cpp)
      qt4_wrap_cpp(${ARGN})
    endmacro()
    set(QTDBUS_LIBRARIES ${QT_QTDBUS_LIBRARY})
  else()
    find_package(Qt4 COMPONENTS QtCore REQUIRED)
  endif()
  include_directories(${QT_INCLUDES})
  set(QTCORE_LIBRARIES ${QT_QTCORE_LIBRARY})
endif()


include_directories(${CMAKE_CURRENT_BINARY_DIR})

list(APPEND qtkeychain_LIBRARIES ${QTCORE_LIBRARIES})
set(qtkeychain_SOURCES
    keychain.cpp
)


if(WIN32)
    list(APPEND qtkeychain_SOURCES keychain_win.cpp)
    list(APPEND qtkeychain_LIBRARIES crypt32)
    #FIXME: mingw bug; otherwise getting undefined refs to RtlSecureZeroMemory there
    if(MINGW)
        add_definitions( -O2 )
    endif()
endif()

if(APPLE)
    list(APPEND qtkeychain_SOURCES keychain_mac.cpp)

    find_library(COREFOUNDATION_LIBRARY CoreFoundation)
    list(APPEND qtkeychain_LIBRARIES ${COREFOUNDATION_LIBRARY})

    find_library(SECURITY_LIBRARY Security)
    list(APPEND qtkeychain_LIBRARIES ${SECURITY_LIBRARY})
endif()

if(UNIX AND NOT APPLE)
    list(APPEND qtkeychain_SOURCES keychain_dbus.cpp)
    qt_add_dbus_interface(qtkeychain_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.KWallet.xml kwallet_interface KWalletInterface)
    list(APPEND qtkeychain_LIBRARIES ${QTDBUS_LIBRARIES})
endif()

QT_WRAP_CPP(qtkeychain_MOC_OUTFILES keychain.h keychain_p.h)

if(NOT QTKEYCHAIN_STATIC)
    add_library(qtkeychain SHARED ${qtkeychain_SOURCES} ${qtkeychain_MOC_OUTFILES})
    set_target_properties(qtkeychain PROPERTIES COMPILE_DEFINITIONS QKEYCHAIN_BUILD_QKEYCHAIN_LIB)
    target_link_libraries(qtkeychain ${qtkeychain_LIBRARIES})
else()
    add_library(qtkeychain STATIC ${qtkeychain_SOURCES} ${qtkeychain_MOC_OUTFILES})
    set_target_properties(qtkeychain PROPERTIES COMPILE_DEFINITIONS QKEYCHAIN_STATICLIB)
endif()

set_target_properties(qtkeychain PROPERTIES
    VERSION ${QTKEYCHAIN_VERSION}
    SOVERSION ${QTKEYCHAIN_SOVERSION}
)

install(FILES keychain.h qkeychain_export.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qtkeychain/
)

install(TARGETS qtkeychain
  EXPORT QtKeychainLibraryDepends
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

add_executable( testclient testclient.cpp )
target_link_libraries( testclient qtkeychain)


###
### CMake config file
###

export(TARGETS qtkeychain FILE "${PROJECT_BINARY_DIR}/QtKeychainLibraryDepends.cmake")
export(PACKAGE QtKeychain)

configure_file(QtKeychainBuildTreeSettings.cmake.in
  "${PROJECT_BINARY_DIR}/QtKeychainBuildTreeSettings.cmake" @ONLY)
configure_file(QtKeychainConfig.cmake.in
  "${PROJECT_BINARY_DIR}/QtKeychainConfig.cmake" @ONLY)
configure_file(QtKeychainConfigVersion.cmake.in
  "${PROJECT_BINARY_DIR}/QtKeychainConfigVersion.cmake" @ONLY)

install(EXPORT QtKeychainLibraryDepends
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/QtKeychain"
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtKeychainConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/QtKeychainConfigVersion.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/QtKeychain
)

=== debian/changelog ===
qtkeychain (0.1.0-1ubuntu1) raring; urgency=low

  * Ubuntu upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Mar 2013 17:22:59 +0000

qtkeychain (0.1.0-1) UNRELEASED; urgency=low

  * Initial release (Closes: #699687)

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 06 Jan 2013 13:10:17 +0100

=== debian/control ===
Source: qtkeychain
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: debhelper (>= 8.0.0), cmake, libqt4-dev (>= 4.7), pkg-kde-tools (>= 0.5), hardening-wrapper
Standards-Version: 3.9.3
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain
Vcs-Git: git://git.debian.org/collab-maint/qtkeychain.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/qtkeychain.git;a=summary

Package: libqtkeychain0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Developement files for qtkeychain
 A Qt API to store passwords and other secret data securely
 .
 It uses KWallet (via D-Bus) if available.
 Support for the GNOME Keyring via freedesktop.org's Secret Storage
 D-Bus specification is planned but not yet implemented.

Package: qtkeychain-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtkeychain0 (= ${binary:Version}), ${misc:Depends}
Description: Qt API to store passwords and other secret data securely
 It uses KWallet (via D-Bus) if available.
 Support for the GNOME Keyring via freedesktop.org's Secret Storage
 D-Bus specification is planned but not yet implemented.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@ --parallel --with pkgkde_symbolshelper


override_dh_install:
	dh_install --list-missing

=== debian/watch ===
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format
version=3

https://github.com/frankosterfeld/qtkeychain/tags /frankosterfeld/qtkeychain/archive/v(.*)\.tar\.gz

## qtkeychain 0.1.0-1

=== debian/changelog ===
qtkeychain (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Ralf Dragon <dragon@vision.ee.ethz.ch>  Sun, 26 Jan 2014 11:15:31 +0000

## qtkeychain 0.1.0-2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(qtkeychain)

###

set(QTKEYCHAIN_VERSION 0.2.0)
set(QTKEYCHAIN_SOVERSION 0)

###

SET(CMAKE_C_FLAGS "-Wall -O0 -g -ggdb")


set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${PROJECT_SOURCE_DIR}/cmake/Modules")
include(GNUInstallDirs)

option(BUILD_WITH_QT4 "Build qtkeychain with Qt4 no matter if Qt5 was found" OFF)


if( NOT BUILD_WITH_QT4 )
    # try Qt5 first, and prefer that if found
    find_package(Qt5Core QUIET)
endif()

if (Qt5Core_FOUND)
  set(QTKEYCHAIN_VERSION_INFIX 5)
  if(UNIX AND NOT APPLE)
    find_package(Qt5DBus REQUIRED)
    include_directories(${Qt5DBus_INCLUDE_DIRS})
    set(QTDBUS_LIBRARIES ${Qt5DBus_LIBRARIES})
    macro(qt_add_dbus_interface)
      qt5_add_dbus_interface(${ARGN})
    endmacro()
  endif()
  find_package(Qt5LinguistTools REQUIRED)
  macro(qt_add_translation)
    qt5_add_translation(${ARGN})
  endmacro(qt_add_translation)
  macro(qt_create_translation)
    qt5_create_translation(${ARGN})
  endmacro(qt_create_translation)
  macro(qt_wrap_cpp)
    qt5_wrap_cpp(${ARGN})
  endmacro()

  set(QTCORE_LIBRARIES ${Qt5Core_LIBRARIES})
  include_directories(${Qt5Core_INCLUDE_DIRS})

  if (Qt5_POSITION_INDEPENDENT_CODE)
    if (CMAKE_VERSION VERSION_LESS 2.8.9) # TODO remove once we increase the cmake requirement
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
    else()
      set(CMAKE_POSITION_INDEPENDENT_CODE ON)
    endif()
  endif()
else()
  set(QTKEYCHAIN_VERSION_INFIX "")
  if(UNIX AND NOT APPLE)
    find_package(Qt4 COMPONENTS QtCore QtDBus REQUIRED)
    set(QTDBUS_LIBRARIES ${QT_QTDBUS_LIBRARY})
    macro(qt_add_dbus_interface)
      qt4_add_dbus_interface(${ARGN})
    endmacro()
  else()
    find_package(Qt4 COMPONENTS QtCore REQUIRED)
  endif()
  include_directories(${QT_INCLUDES})
  set(QTCORE_LIBRARIES ${QT_QTCORE_LIBRARY})
  macro(qt_add_translation)
    qt4_add_translation(${ARGN})
  endmacro(qt_add_translation)
  macro(qt_create_translation)
    qt4_create_translation(${ARGN})
  endmacro(qt_create_translation)
  macro(qt_wrap_cpp)
    qt4_wrap_cpp(${ARGN})
  endmacro()
endif()


include_directories(${CMAKE_CURRENT_BINARY_DIR})

list(APPEND qtkeychain_LIBRARIES ${QTCORE_LIBRARIES})
set(qtkeychain_SOURCES
    keychain.cpp
)

if(WIN32)
    list(APPEND qtkeychain_SOURCES keychain_win.cpp)
    list(APPEND qtkeychain_LIBRARIES crypt32)
    #FIXME: mingw bug; otherwise getting undefined refs to RtlSecureZeroMemory there
    if(MINGW)
        add_definitions( -O2 )
    endif()
endif()

if(APPLE)
    list(APPEND qtkeychain_SOURCES keychain_mac.cpp)

    find_library(COREFOUNDATION_LIBRARY CoreFoundation)
    list(APPEND qtkeychain_LIBRARIES ${COREFOUNDATION_LIBRARY})

    find_library(SECURITY_LIBRARY Security)
    list(APPEND qtkeychain_LIBRARIES ${SECURITY_LIBRARY})
endif()

if(UNIX AND NOT APPLE)
    list(APPEND qtkeychain_SOURCES keychain_dbus.cpp)
    qt_add_dbus_interface(qtkeychain_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.KWallet.xml kwallet_interface KWalletInterface)
    list(APPEND qtkeychain_LIBRARIES ${QTDBUS_LIBRARIES})
endif()

QT_WRAP_CPP(qtkeychain_MOC_OUTFILES keychain.h keychain_p.h)

set(qtkeychain_TR_FILES
      translations/qtkeychain_de.ts
      translations/qtkeychain_ro.ts
)

file(GLOB qtkeychain_TR_SOURCES *.cpp *.h *.ui)
qt_create_translation(qtkeychain_MESSAGES ${qtkeychain_TR_SOURCES} ${qtkeychain_TR_FILES})
qt_add_translation(qtkeychain_QM_FILES ${qtkeychain_TR_FILES})
add_custom_target(messages DEPENDS ${qtkeychain_MESSAGES})
add_custom_target(translations DEPENDS ${qtkeychain_QM_FILES})

if(NOT QT_TRANSLATIONS_DIR)
    # If this directory is missing, we are in a Qt5 environment.
    # Extract the qmake executable location
    get_target_property(QT5_QMAKE_EXECUTABLE Qt5::qmake IMPORTED_LOCATION)
    # Ask Qt5 where to put the translations
    EXEC_PROGRAM( ${QT5_QMAKE_EXECUTABLE}
        ARGS -query QT_INSTALL_TRANSLATIONS
        OUTPUT_VARIABLE qt_translations_dir )
    # make sure we have / and not \ as qmake gives on windows
    FILE(TO_CMAKE_PATH "${qt_translations_dir}" qt_translations_dir)
    SET(QT_TRANSLATIONS_DIR ${qt_translations_dir} CACHE PATH "The
    location of the Qt translations" FORCE)
endif()

install(FILES ${qtkeychain_QM_FILES}
        DESTINATION ${QT_TRANSLATIONS_DIR})

set(QTKEYCHAIN_TARGET_NAME qt${QTKEYCHAIN_VERSION_INFIX}keychain)
if(NOT QTKEYCHAIN_STATIC)
    add_library(${QTKEYCHAIN_TARGET_NAME} SHARED ${qtkeychain_SOURCES} ${qtkeychain_MOC_OUTFILES} ${qtkeychain_QM_FILES})
    set_target_properties(${QTKEYCHAIN_TARGET_NAME} PROPERTIES COMPILE_DEFINITIONS QKEYCHAIN_BUILD_QKEYCHAIN_LIB)
    target_link_libraries(${QTKEYCHAIN_TARGET_NAME} ${qtkeychain_LIBRARIES})
else()
    add_library(${QTKEYCHAIN_TARGET_NAME} STATIC ${qtkeychain_SOURCES} ${qtkeychain_MOC_OUTFILES} ${qtkeychain_QM_FILES})
    set_target_properties(${QTKEYCHAIN_TARGET_NAME} PROPERTIES COMPILE_DEFINITIONS QKEYCHAIN_STATICLIB)
endif()

set_target_properties(${QTKEYCHAIN_TARGET_NAME} PROPERTIES
    VERSION ${QTKEYCHAIN_VERSION}
    SOVERSION ${QTKEYCHAIN_SOVERSION}
)

install(FILES keychain.h qkeychain_export.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qtkeychain/
)

install(TARGETS ${QTKEYCHAIN_TARGET_NAME}
  EXPORT Qt${QTKEYCHAIN_VERSION_INFIX}KeychainLibraryDepends
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

add_executable( testclient testclient.cpp )
target_link_libraries( testclient ${QTKEYCHAIN_TARGET_NAME})


###
### CMake config file
###

export(TARGETS ${QTKEYCHAIN_TARGET_NAME} FILE "${PROJECT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainLibraryDepends.cmake")
#export(PACKAGE QtKeychain)

configure_file(QtKeychainBuildTreeSettings.cmake.in
  "${PROJECT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainBuildTreeSettings.cmake" @ONLY)
configure_file(QtKeychainConfig.cmake.in
  "${PROJECT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfig.cmake" @ONLY)
configure_file(QtKeychainConfigVersion.cmake.in
  "${PROJECT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfigVersion.cmake" @ONLY)

install(EXPORT Qt${QTKEYCHAIN_VERSION_INFIX}KeychainLibraryDepends
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/Qt${QTKEYCHAIN_VERSION_INFIX}Keychain"
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfigVersion.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Qt${QTKEYCHAIN_VERSION_INFIX}Keychain
)

=== debian/changelog ===
qtkeychain (0.1.0-2) lucid; urgency=low

  * Re-upload due to size mismatch error

 -- Ralf Dragon <dragon@vision.ee.ethz.ch>  Sun, 26 Jan 2014 20:53:18 +0000

## qtkeychain 0.1.0-3

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,7 +78,7 @@
 endif()
 
 
-include_directories(${CMAKE_CURRENT_BINARY_DIR})
+include_directories(. ${CMAKE_CURRENT_BINARY_DIR})
 
 list(APPEND qtkeychain_LIBRARIES ${QTCORE_LIBRARIES})
 set(qtkeychain_SOURCES

=== debian/changelog ===
qtkeychain (0.1.0-3) lucid; urgency=low

  * Fix error that qkeychain_export.h is missing
    if other libs include keychain.h

 -- Ralf Dragon <dragon@vision.ee.ethz.ch>  Mon, 27 Jan 2014 19:44:24 +0000

=== debian/control ===
Source: qtkeychain
Priority: extra
Maintainer: Ralf Dragon <dragon@vision.ee.ethz.ch>
Build-Depends: debhelper (>= 7), cmake, maemo-optify, libqt4-dev
Standards-Version: 3.8.3
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain

Package: qtkeychain-dev
Section: libdevel
Architecture: any
Depends: qtkeychain (= ${binary:Version}), libqt4-dev
Description: libqtkeychain devel package, packaged for maemo

Package: qtkeychain
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} libqt4-core
Description: libqtkeychain package, packaged for maemo

## qtkeychain 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,12 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8)
 project(qtkeychain)
 
 ###
 
-set(QTKEYCHAIN_VERSION 0.2.0)
+set(QTKEYCHAIN_VERSION 0.3.0)
 set(QTKEYCHAIN_SOVERSION 0)
 
 ###
-
-SET(CMAKE_C_FLAGS "-Wall -O0 -g -ggdb")
-
 
 set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${PROJECT_SOURCE_DIR}/cmake/Modules")
 include(GNUInstallDirs)
@@ -78,7 +75,7 @@
 endif()
 
 
-include_directories(. ${CMAKE_CURRENT_BINARY_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 list(APPEND qtkeychain_LIBRARIES ${QTCORE_LIBRARIES})
 set(qtkeychain_SOURCES
@@ -105,7 +102,7 @@
 endif()
 
 if(UNIX AND NOT APPLE)
-    list(APPEND qtkeychain_SOURCES keychain_dbus.cpp)
+    list(APPEND qtkeychain_SOURCES keychain_unix.cpp gnomekeyring.cpp)
     qt_add_dbus_interface(qtkeychain_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.KWallet.xml kwallet_interface KWalletInterface)
     list(APPEND qtkeychain_LIBRARIES ${QTDBUS_LIBRARIES})
 endif()
@@ -153,10 +150,12 @@
 set_target_properties(${QTKEYCHAIN_TARGET_NAME} PROPERTIES
     VERSION ${QTKEYCHAIN_VERSION}
     SOVERSION ${QTKEYCHAIN_SOVERSION}
+    MACOSX_RPATH 1
+    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}"
 )
 
 install(FILES keychain.h qkeychain_export.h
-        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qtkeychain/
+        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qt${QTKEYCHAIN_VERSION_INFIX}keychain/
 )
 
 install(TARGETS ${QTKEYCHAIN_TARGET_NAME}
@@ -175,7 +174,7 @@
 ###
 
 export(TARGETS ${QTKEYCHAIN_TARGET_NAME} FILE "${PROJECT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainLibraryDepends.cmake")
-#export(PACKAGE QtKeychain)
+export(PACKAGE Qt${QTKEYCHAIN_VERSION_INFIX}Keychain)
 
 configure_file(QtKeychainBuildTreeSettings.cmake.in
   "${PROJECT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainBuildTreeSettings.cmake" @ONLY)

=== debian/changelog ===
qtkeychain (0.3.0-2) unstable; urgency=medium

  * Building lib for qt4 and qt5.
  * Added packages libqt5keychain0 and qt5keychain-dev
  * Added symbols for libqt5keychain0

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 01 Apr 2014 12:54:47 +0200

qtkeychain (0.3.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #735043)
  * Added gnome-keyring|kwalletmanager as recommends
  * Updated debian/libqtkeychain0.symbols
  * Updated debian/copyright
  * Bumped Standards-Version

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 20 Mar 2014 13:09:16 +0100

qtkeychain (0.1.0-2) unstable; urgency=low

  * FTBFS on !linux: libraries left in /usr/lib (Closes: #710340)
  * Added patch use_system_GNUInstallDirs.cmake
  * use githubredir.debian.net for watch file

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 27 Sep 2013 14:19:13 +0200

=== debian/control ===
Source: qtkeychain
Priority: extra
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               hardening-wrapper,
               libqt4-dev,
               pkg-kde-tools,
               qttools5-dev (>= 5.2.1),
               qttools5-dev-tools (>= 5.2.1)
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/qtkeychain.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/qtkeychain.git

Package: libqtkeychain0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kde-runtime
Description: Qt API to store passwords
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.

Package: qtkeychain-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtkeychain0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for qtkeychain
 Qt API to store passwords
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.

Package: libqt5keychain0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Description: Qt API to store passwords (QT5 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5

Package: qt5keychain-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5keychain0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for qtkeychain (QT5 version)
 A Qt API to store passwords
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

%:
	dh $@ --parallel --with kde --with pkgkde_symbolshelper

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-qt5

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_WITH_QT4=On
	dh_auto_configure --builddirectory=build-qt5 --

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-qt5

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-qt5

override_dh_install:
	dh_install --list-missing

## qtkeychain 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 ###
 
-set(QTKEYCHAIN_VERSION 0.3.0)
+set(QTKEYCHAIN_VERSION 0.4.0)
 set(QTKEYCHAIN_SOVERSION 0)
 
 ###
@@ -81,6 +81,8 @@
 set(qtkeychain_SOURCES
     keychain.cpp
 )
+
+ADD_DEFINITIONS( -Wall )
 
 if(WIN32)
     list(APPEND qtkeychain_SOURCES keychain_win.cpp)

=== debian/changelog ===
qtkeychain (0.4.0-1) unstable; urgency=medium

  * New upstream release:
    - Improved desktop environment detection at runtime (Closes: #755349)
  * Replaced hardening-wrapper with dpkg-buildflags
  * Bumped compat to 9 to have dpkg-buildflags available
  * Removed private symbols from libs

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 04 Sep 2014 17:30:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
 Build-Depends: cmake,
-               debhelper (>= 8.0.0),
-               hardening-wrapper,
+               debhelper (>= 9),
                libqt4-dev,
                pkg-kde-tools,
-               qttools5-dev (>= 5.2.1),
-               qttools5-dev-tools (>= 5.2.1)
+               qttools5-dev,
+               qttools5-dev-tools
 Standards-Version: 3.9.5
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain

=== debian/watch ===
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format
version=3

http://githubredir.debian.net/github/frankosterfeld/qtkeychain/ v(.*).tar.gz

## qtkeychain 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 ###
 
-set(QTKEYCHAIN_VERSION 0.4.0)
+set(QTKEYCHAIN_VERSION 0.5.0)
 set(QTKEYCHAIN_SOVERSION 0)
 
 ###

=== debian/changelog ===
qtkeychain (0.5.0-1build1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 17:34:12 +0000

qtkeychain (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Updated d/watch file
  * Updated d/copyright with current year
  * Make buildable with GCC-5 (Closes: #778089)
  * Bumped Standards-Version: No changes needed

 -- Sandro Knauß <bugs@sandroknauss.de>  Mon, 01 Jun 2015 22:41:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: qtkeychain
 Priority: extra
-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
 Build-Depends: cmake,
                debhelper (>= 9),
@@ -8,7 +9,7 @@
                pkg-kde-tools,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain
 Vcs-Git: git://anonscm.debian.org/pkg-owncloud/qtkeychain.git

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --parallel --with kde --with pkgkde_symbolshelper

## qtkeychain 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 ###
 
-set(QTKEYCHAIN_VERSION 0.5.0)
-set(QTKEYCHAIN_SOVERSION 0)
+set(QTKEYCHAIN_VERSION 0.7.0)
+set(QTKEYCHAIN_SOVERSION 1)
 
 ###
 
@@ -13,6 +13,13 @@
 
 option(BUILD_WITH_QT4 "Build qtkeychain with Qt4 no matter if Qt5 was found" OFF)
 
+if (WIN32)
+    option(USE_CREDENTIAL_STORE "Build with windows CredentialStore support" ON)
+
+    if (USE_CREDENTIAL_STORE)
+	add_definitions(-DUSE_CREDENTIAL_STORE=1)
+    endif()
+endif()
 
 if( NOT BUILD_WITH_QT4 )
     # try Qt5 first, and prefer that if found
@@ -127,9 +134,8 @@
     # Extract the qmake executable location
     get_target_property(QT5_QMAKE_EXECUTABLE Qt5::qmake IMPORTED_LOCATION)
     # Ask Qt5 where to put the translations
-    EXEC_PROGRAM( ${QT5_QMAKE_EXECUTABLE}
-        ARGS -query QT_INSTALL_TRANSLATIONS
-        OUTPUT_VARIABLE qt_translations_dir )
+    execute_process( COMMAND ${QT5_QMAKE_EXECUTABLE} -query QT_INSTALL_TRANSLATIONS
+        OUTPUT_VARIABLE qt_translations_dir OUTPUT_STRIP_TRAILING_WHITESPACE )
     # make sure we have / and not \ as qmake gives on windows
     FILE(TO_CMAKE_PATH "${qt_translations_dir}" qt_translations_dir)
     SET(QT_TRANSLATIONS_DIR ${qt_translations_dir} CACHE PATH "The
@@ -175,9 +181,6 @@
 ### CMake config file
 ###
 
-export(TARGETS ${QTKEYCHAIN_TARGET_NAME} FILE "${PROJECT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainLibraryDepends.cmake")
-export(PACKAGE Qt${QTKEYCHAIN_VERSION_INFIX}Keychain)
-
 configure_file(QtKeychainBuildTreeSettings.cmake.in
   "${PROJECT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainBuildTreeSettings.cmake" @ONLY)
 configure_file(QtKeychainConfig.cmake.in

=== debian/changelog ===
qtkeychain (0.7.0-3) unstable; urgency=medium

  * Added Breaks and Replaces for Qt4 and Qt5 version.
    Thanks to Alf Gaida (Closes: #842416)

 -- Sandro Knauß <hefee@debian.org>  Sat, 29 Oct 2016 00:37:41 +0200

qtkeychain (0.7.0-2) unstable; urgency=medium

  * Upload to unstable to start transition.
  * Update my mail address to debian.org address

 -- Sandro Knauß <hefee@debian.org>  Fri, 28 Oct 2016 13:29:23 +0200

qtkeychain (0.7.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version (no changes needed)
  * Bump SONAME and packagename, because of ABI breakage.
  * Securify uris to debian git.

 -- Sandro Knauß <hefee@debian.org>  Sat, 22 Oct 2016 01:03:37 +0200

=== debian/control ===
Source: qtkeychain
Priority: extra
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libqt4-dev,
               pkg-kde-tools,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain
Vcs-Git: https://anonscm.debian.org/git/pkg-owncloud/qtkeychain.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-owncloud/qtkeychain.git

Package: libqtkeychain1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kde-runtime
Breaks: libqtkeychain0
Replaces: libqtkeychain0
Description: Qt API to store passwords
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.

Package: qtkeychain-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtkeychain1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for qtkeychain
 Qt API to store passwords
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.

Package: libqt5keychain1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Breaks: libqt5keychain0
Replaces: libqt5keychain0
Description: Qt API to store passwords (QT5 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5

Package: qt5keychain-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5keychain1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for qtkeychain (QT5 version)
 A Qt API to store passwords
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5

=== debian/watch ===
--- 
+++ 
@@ -3,4 +3,6 @@
 # See uscan(1) for format
 version=3
 
-http://githubredir.debian.net/github/frankosterfeld/qtkeychain/ v(.*).tar.gz
+opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/qtkeychain-$1\.tar\.gz/ \
+https://github.com/frankosterfeld/qtkeychain/tags .*/archive/v(.*).tar.gz
+#https://github.com/frankosterfeld/qtkeychain/tags v(.*).tar.gz

## qtkeychain 0.9.0

=== debian/changelog ===
qtkeychain (0.9.0-2) unstable; urgency=medium

  * Fix "cmake script requires linking with secret-1 library" (Closes: #905659)
    - Mark target_link_libraries as private, if they are not exposed in public
      interface.
    - Add patch fix-dependencies.patch.
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Use dh_missing instead of dh_install.

 -- Sandro Knauß <hefee@debian.org>  Wed, 08 Aug 2018 15:13:17 +0200

qtkeychain (0.9.0-1) unstable; urgency=medium

  * new upstream release (Closes: #866308) (Closes: #900556).
  * Updated copyright information.
  * Add new build dependencies (pkg-config and libsecret-1).
  * Switch to Qt5 as default build.
  * Bump compat level:
    - remove parallel from rules
  * Bump Standrds-Version (no changes needed)
  * Fix "Future Qt4 removal from Buster" (Closes: #875152)
    - remove libqtkeychain1 and qtkeychain from package build.
    - do not build Qt4 interface anymore.
  * Use secure url link in copyright.
  * Bump compat level to 11 (no changes needed).
  * Use Priority optional instead of extra.
  * Update Vsc links to salsa.
  * Update Standards-Version to 4.1.5 (no changes needed)

 -- Sandro Knauß <hefee@debian.org>  Wed, 18 Jul 2018 17:35:08 +0200

=== debian/control ===
Source: qtkeychain
Priority: optional
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake,
               debhelper (>= 11),
               libsecret-1-dev,
               pkg-config,
               pkg-kde-tools,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.2.0
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain
Vcs-Git: https://salsa.debian.org/owncloud-team/qtkeychain.git
Vcs-Browser: https://salsa.debian.org/owncloud-team/qtkeychain

Package: libqt5keychain1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Breaks: libqt5keychain0
Replaces: libqt5keychain0
Description: Qt API to store passwords (QT5 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5

Package: qt5keychain-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5keychain1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for qtkeychain (QT5 version)
 A Qt API to store passwords
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5

## qtkeychain 0.9.1

=== debian/changelog ===
qtkeychain (0.9.1-2+rb2) UNRELEASED; urgency=medium

  * update

 -- ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>  Fri, 22 Jan 2021 12:15:47 +0800

qtkeychain (0.9.1-2) unstable; urgency=medium

  * Add commit to load versioned libsecret (Closes: #920984, #922489)

 -- Sandro Knauß <hefee@debian.org>  Sun, 17 Feb 2019 11:15:10 +0100

qtkeychain (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0 (no changes needed).
  * Dropped d/compat, use debhelper-compat = 12, no changes needed.
  * Add generated .pri file so it can be used as a Qt module (Closes: #913221)
  * Add Build-Depends-Package to libqt5keychain1.symbols.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 17:27:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                libsecret-1-dev,
                pkg-config,
                pkg-kde-tools,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain
 Vcs-Git: https://salsa.debian.org/owncloud-team/qtkeychain.git

## qtkeychain 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)
project(qtkeychain)

include(FindPkgConfig)

###

set(QTKEYCHAIN_VERSION 0.10.0)
set(QTKEYCHAIN_SOVERSION 1)

###

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${PROJECT_SOURCE_DIR}/cmake/Modules")
include(GNUInstallDirs)
include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGeneratePriFile)

option(BUILD_WITH_QT4 "Build qtkeychain with Qt4 no matter if Qt5 was found" OFF)
option(BUILD_TEST_APPLICATION "Build test application" ON)
option(BUILD_TRANSLATIONS "Build translations" ON)
option(QTKEYCHAIN_STATIC "Build static library" OFF)

if(CMAKE_SYSTEM_NAME STREQUAL Android)
    set(ANDROID 1)
endif()

if (WIN32)
    option(USE_CREDENTIAL_STORE "Build with windows CredentialStore support" ON)

    if (USE_CREDENTIAL_STORE)
        add_definitions(-DUSE_CREDENTIAL_STORE=1)
    endif()
endif()

if( NOT BUILD_WITH_QT4 )
    # try Qt5 first, and prefer that if found
    find_package(Qt5Core QUIET)
endif()

if (Qt5Core_FOUND AND NOT BUILD_WITH_QT4)
  set(QTKEYCHAIN_VERSION_INFIX 5)

  if(UNIX AND NOT APPLE AND NOT ANDROID)
    find_package(Qt5DBus REQUIRED)
    include_directories(${Qt5DBus_INCLUDE_DIRS})
    set(QTDBUS_LIBRARIES ${Qt5DBus_LIBRARIES})
    macro(qt_add_dbus_interface)
      qt5_add_dbus_interface(${ARGN})
    endmacro()
  endif()

  if(BUILD_TRANSLATIONS)
    find_package(Qt5LinguistTools REQUIRED)
    macro(qt_add_translation)
      qt5_add_translation(${ARGN})
    endmacro(qt_add_translation)
    macro(qt_create_translation)
      qt5_create_translation(${ARGN})
    endmacro(qt_create_translation)
  endif()

  macro(qt_wrap_cpp)
    qt5_wrap_cpp(${ARGN})
  endmacro()

  set(QTCORE_LIBRARIES ${Qt5Core_LIBRARIES})
  include_directories(${Qt5Core_INCLUDE_DIRS})

  if (NOT Qt5Core_VERSION VERSION_LESS "5.7.0")
    if (CMAKE_COMPILER_IS_GNUCXX)
      if ((NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.7.0") AND (CMAKE_CXX_COMPILER_VERSION VERSION_LESS "6.1.0"))
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
      elseif(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.7.0")
        message(FATAL_ERROR "Can't build QtKeychain using g++-${CMAKE_CXX_COMPILER_VERSION} and Qt ${Qt5Core_VERSION}: compiler supporting C++11 is required")
      endif()
    elseif (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
      if (NOT ${CMAKE_CXX_COMPILER_VERSION} VERSION_LESS 3.3)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
      else()
        message(FATAL_ERROR "Can't build QtKeychain using clang++-${CMAKE_CXX_COMPILER_VERSION} and Qt ${Qt5Core_VERSION}: compiler supporting C++11 is required")
      endif()
    elseif ((CMAKE_CXX_COMPILER_ID MATCHES "MSVC") AND (MSVC_VERSION LESS 1700))
      message(FATAL_ERROR "Can't build QtKeychain using VC++-${MSVC_VERSION} and Qt ${Qt5Core_VERSION}: compiler supporting C++11 is required")
    endif()
  endif()
else()
  set(QTKEYCHAIN_VERSION_INFIX "")
  if(UNIX AND NOT APPLE)
    find_package(Qt4 COMPONENTS QtCore QtDBus REQUIRED)
    set(QTDBUS_LIBRARIES ${QT_QTDBUS_LIBRARY})
    macro(qt_add_dbus_interface)
      qt4_add_dbus_interface(${ARGN})
    endmacro()
  else()
    find_package(Qt4 COMPONENTS QtCore REQUIRED)
  endif()
  include_directories(${QT_INCLUDES})
  set(QTCORE_LIBRARIES ${QT_QTCORE_LIBRARY})
  macro(qt_add_translation)
    qt4_add_translation(${ARGN})
  endmacro(qt_add_translation)
  macro(qt_create_translation)
    qt4_create_translation(${ARGN})
  endmacro(qt_create_translation)
  macro(qt_wrap_cpp)
    qt4_wrap_cpp(${ARGN})
  endmacro()
endif()


include_directories(${CMAKE_CURRENT_BINARY_DIR})

list(APPEND qtkeychain_LIBRARIES ${QTCORE_LIBRARIES})
set(qtkeychain_SOURCES
    keychain.cpp
    qkeychain_export.h
    keychain.h
)

add_definitions( -Wall )

if(WIN32)
    list(APPEND qtkeychain_SOURCES keychain_win.cpp)
    if (NOT USE_CREDENTIAL_STORE)
        list(APPEND qtkeychain_LIBRARIES crypt32)
        list(APPEND qtkeychain_SOURCES plaintextstore.cpp)
    endif()
    #FIXME: mingw bug; otherwise getting undefined refs to RtlSecureZeroMemory there
    if(MINGW)
        add_definitions( -O2 )
    endif()
endif()

if(APPLE)
    if(IOS)
        list(APPEND qtkeychain_SOURCES keychain_ios.cpp)
    else()
        list(APPEND qtkeychain_SOURCES keychain_mac.cpp)
    endif()

    find_library(COREFOUNDATION_LIBRARY CoreFoundation REQUIRED)
    list(APPEND qtkeychain_LIBRARIES ${COREFOUNDATION_LIBRARY})

    find_library(SECURITY_LIBRARY Security REQUIRED)
    list(APPEND qtkeychain_LIBRARIES ${SECURITY_LIBRARY})
endif()

if(UNIX AND NOT APPLE AND NOT ANDROID)
    option(LIBSECRET_SUPPORT "Build with libsecret support" ON)

    if(LIBSECRET_SUPPORT)
        pkg_check_modules(LIBSECRET libsecret-1)

        if (LIBSECRET_FOUND)
            add_definitions(-DHAVE_LIBSECRET=1)
        endif()
        INCLUDE_DIRECTORIES(${LIBSECRET_INCLUDE_DIRS})
        list(APPEND qtkeychain_LIBRARIES ${LIBSECRET_LIBRARIES})
    endif()

    list(APPEND qtkeychain_SOURCES keychain_unix.cpp gnomekeyring.cpp libsecret.cpp plaintextstore.cpp)
    qt_add_dbus_interface(qtkeychain_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.KWallet.xml kwallet_interface KWalletInterface)
    list(APPEND qtkeychain_LIBRARIES ${QTDBUS_LIBRARIES} )
endif()

QT_WRAP_CPP(qtkeychain_MOC_OUTFILES keychain.h keychain_p.h gnomekeyring_p.h)

set(qtkeychain_TR_FILES
      translations/qtkeychain_de.ts
      translations/qtkeychain_ro.ts
)

file(GLOB qtkeychain_TR_SOURCES *.cpp *.h *.ui)
if ( BUILD_TRANSLATIONS )
    qt_create_translation(qtkeychain_MESSAGES ${qtkeychain_TR_SOURCES} ${qtkeychain_TR_FILES})
    qt_add_translation(qtkeychain_QM_FILES ${qtkeychain_TR_FILES})
    add_custom_target(messages DEPENDS ${qtkeychain_MESSAGES})
    add_custom_target(translations DEPENDS ${qtkeychain_QM_FILES})

    if(NOT QT_TRANSLATIONS_DIR)
	# If this directory is missing, we are in a Qt5 environment.
	# Extract the qmake executable location
	get_target_property(QT5_QMAKE_EXECUTABLE Qt5::qmake IMPORTED_LOCATION)
	# Ask Qt5 where to put the translations
	execute_process( COMMAND ${QT5_QMAKE_EXECUTABLE} -query QT_INSTALL_TRANSLATIONS
	    OUTPUT_VARIABLE qt_translations_dir OUTPUT_STRIP_TRAILING_WHITESPACE )
	# make sure we have / and not \ as qmake gives on windows
	file( TO_CMAKE_PATH "${qt_translations_dir}" qt_translations_dir)
	set( QT_TRANSLATIONS_DIR ${qt_translations_dir} CACHE PATH
	     "The location of the Qt translations" FORCE)
    endif()

    install(FILES ${qtkeychain_QM_FILES}
	    DESTINATION ${QT_TRANSLATIONS_DIR})
endif( BUILD_TRANSLATIONS )

set(QTKEYCHAIN_TARGET_NAME qt${QTKEYCHAIN_VERSION_INFIX}keychain)
if(NOT QTKEYCHAIN_STATIC)
    add_library(${QTKEYCHAIN_TARGET_NAME} SHARED ${qtkeychain_SOURCES} ${qtkeychain_MOC_OUTFILES} ${qtkeychain_QM_FILES})
else()
    add_library(${QTKEYCHAIN_TARGET_NAME} STATIC ${qtkeychain_SOURCES} ${qtkeychain_MOC_OUTFILES} ${qtkeychain_QM_FILES})
endif()

target_link_libraries(${QTKEYCHAIN_TARGET_NAME} PUBLIC ${qtkeychain_LIBRARIES})
target_include_directories(${QTKEYCHAIN_TARGET_NAME} PUBLIC $<INSTALL_INTERFACE:include/>)

generate_export_header(${QTKEYCHAIN_TARGET_NAME}
  EXPORT_FILE_NAME qkeychain_export.h
  EXPORT_MACRO_NAME QKEYCHAIN_EXPORT
)

set_target_properties(${QTKEYCHAIN_TARGET_NAME} PROPERTIES
    VERSION ${QTKEYCHAIN_VERSION}
    SOVERSION ${QTKEYCHAIN_SOVERSION}
    MACOSX_RPATH 1
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}"
    INSTALL_RPATH_USE_LINK_PATH TRUE
)

install(FILES keychain.h ${CMAKE_CURRENT_BINARY_DIR}/qkeychain_export.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qt${QTKEYCHAIN_VERSION_INFIX}keychain/
)

install(TARGETS ${QTKEYCHAIN_TARGET_NAME}
  EXPORT Qt${QTKEYCHAIN_VERSION_INFIX}KeychainLibraryDepends
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

if(BUILD_TEST_APPLICATION)
    add_executable( testclient testclient.cpp )
    target_link_libraries( testclient ${QTKEYCHAIN_TARGET_NAME})
endif()


###
### CMake config file
###

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/QtKeychainConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfig.cmake"
  INSTALL_DESTINATION Qt${QTKEYCHAIN_VERSION_INFIX}Keychain)

ecm_setup_version("${QTKEYCHAIN_VERSION}" VARIABLE_PREFIX SNORE
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfigVersion.cmake"
  SOVERSION ${QTKEYCHAIN_VERSION})

if(UNIX AND NOT APPLE AND NOT ANDROID)
    set(PRI_EXTRA_DEPS "dbus")
endif()
ecm_generate_pri_file(BASE_NAME Qt${QTKEYCHAIN_VERSION_INFIX}Keychain
  LIB_NAME ${QTKEYCHAIN_TARGET_NAME}
  DEPS "core ${PRI_EXTRA_DEPS}"
  INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}
  FILENAME_VAR pri_filename)

install(FILES ${pri_filename} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


install(EXPORT Qt${QTKEYCHAIN_VERSION_INFIX}KeychainLibraryDepends
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/Qt${QTKEYCHAIN_VERSION_INFIX}Keychain"
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfigVersion.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Qt${QTKEYCHAIN_VERSION_INFIX}Keychain
)

=== debian/changelog ===
qtkeychain (0.10.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Sandro Knauß ]
  * New upstream release.
  * Add salsa-ci.yml
  * update d/gbp.conf.
  * Remove backported patch.
  * Add Rules-Requires-Root: no.

 -- Sandro Knauß <hefee@debian.org>  Sun, 12 Jan 2020 12:12:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                pkg-kde-tools,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain
 Vcs-Git: https://salsa.debian.org/owncloud-team/qtkeychain.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with kde --with pkgkde_symbolshelper

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,3 @@
 
 opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/qtkeychain-$1\.tar\.gz/ \
 https://github.com/frankosterfeld/qtkeychain/tags .*/archive/v(.*).tar.gz
-#https://github.com/frankosterfeld/qtkeychain/tags v(.*).tar.gz
